# Makefile.in generated by automake 1.9.6 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

# Warnings we don't want to see.
# Most of these are thanks to DotLucene.  It would be nice if we could use
# "#pragma warning" on these.
#
# 0162 = Unreachable code detected
# 0164 = This label has not been referenced
# 0169 = The private method/field 'foo' is never used
# 0219 = Variable is assigned but never used
# 0436 = Ignore imported type (local SqliteClient)

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
@USE_LOCAL_SQLITE_TRUE@am__append_1 = $(SQLITE_CSFILES)
@USE_LOCAL_SQLITE_TRUE@am__append_2 = -r:System.Data
@USE_LOCAL_SQLITE_FALSE@am__append_3 = -r:Mono.Data.SqliteClient

#if ENABLE_MOZILLA_BACKEND
#mozillaqueryable = $(srcdir)/MozillaQueryable
#MOZILLA_QUERYABLE_CSFILES =				\
#	$(mozillaqueryable)/MozillaQueryable.cs
#DAEMON_DLL_CSFILES +=					\
#	$(MOZILLA_QUERYABLE_CSFILES)
#endif
@ENABLE_WEBSERVICES_TRUE@am__append_4 = \
@ENABLE_WEBSERVICES_TRUE@	$(webservicesdir)/WebServiceProxy.cs	\
@ENABLE_WEBSERVICES_TRUE@	$(webservicesdir)/NetBeagleHandler.cs	\
@ENABLE_WEBSERVICES_TRUE@	$(webservicesdir)/NetBeagleQueryable.cs	

@ENABLE_WEBSERVICES_TRUE@am__append_5 = -r:System.Web.Services	
@ENABLE_GOOGLEDRIVER_TRUE@am__append_6 = \
@ENABLE_GOOGLEDRIVER_TRUE@       $(srcdir)/GoogleDriver.cs

@ENABLE_WEBSERVICES_TRUE@am__append_7 = -define:ENABLE_WEBSERVICES
@ENABLE_WEBSERVICES_TRUE@am__append_8 = \
@ENABLE_WEBSERVICES_TRUE@	BeagleDaemonPlugins.dll		\
@ENABLE_WEBSERVICES_TRUE@	../images/Images.dll		\
@ENABLE_WEBSERVICES_TRUE@	../Tiles/Tiles.dll		\
@ENABLE_WEBSERVICES_TRUE@	$(WEBSERVICES_BACKEND_TARGET) 	\
@ENABLE_WEBSERVICES_TRUE@	$(WEBSERVICES_FRONTEND_TARGET)	

@ENABLE_WEBSERVICES_TRUE@am__append_9 = -r:System.Runtime.Remoting
@ENABLE_WEBSERVICES_TRUE@am__append_10 = \
@ENABLE_WEBSERVICES_TRUE@	$(XSP_TARGET)			\
@ENABLE_WEBSERVICES_TRUE@	$(WEBSERVICES_FRONTEND_TARGET)	\
@ENABLE_WEBSERVICES_TRUE@	$(WEBSERVICES_BACKEND_TARGET)	

@ENABLE_EVOLUTION_TRUE@am__append_11 = \
@ENABLE_EVOLUTION_TRUE@	$(EVO_DLL_TARGET)

subdir = beagled
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SCRIPTS = $(noinst_SCRIPTS)
SOURCES =
DIST_SOURCES =
man1dir = $(mandir)/man1
am__installdirs = "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man8dir)"
man8dir = $(mandir)/man8
NROFF = nroff
MANS = $(man_MANS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
ALL_LINGUAS = @ALL_LINGUAS@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
BASH = @BASH@
BEAGLED_CFLAGS = @BEAGLED_CFLAGS@
BEAGLED_LIBS = @BEAGLED_LIBS@
BEAGLE_DEFINES = @BEAGLE_DEFINES@
BEAGLE_UI_CFLAGS = @BEAGLE_UI_CFLAGS@
BEAGLE_UI_LIBS = @BEAGLE_UI_LIBS@
CATALOGS = @CATALOGS@
CATOBJEXT = @CATOBJEXT@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DATADIRNAME = @DATADIRNAME@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DESKTOP_LAUNCH = @DESKTOP_LAUNCH@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ENABLE_BLUDGEON_FALSE = @ENABLE_BLUDGEON_FALSE@
ENABLE_BLUDGEON_TRUE = @ENABLE_BLUDGEON_TRUE@
ENABLE_DESKTOP_LAUNCH_FALSE = @ENABLE_DESKTOP_LAUNCH_FALSE@
ENABLE_DESKTOP_LAUNCH_TRUE = @ENABLE_DESKTOP_LAUNCH_TRUE@
ENABLE_EPIPHANY_EXTENSION_FALSE = @ENABLE_EPIPHANY_EXTENSION_FALSE@
ENABLE_EPIPHANY_EXTENSION_TRUE = @ENABLE_EPIPHANY_EXTENSION_TRUE@
ENABLE_EVOLUTION_FALSE = @ENABLE_EVOLUTION_FALSE@
ENABLE_EVOLUTION_TRUE = @ENABLE_EVOLUTION_TRUE@
ENABLE_GALAGO_FALSE = @ENABLE_GALAGO_FALSE@
ENABLE_GALAGO_TRUE = @ENABLE_GALAGO_TRUE@
ENABLE_GOOGLEDRIVER_FALSE = @ENABLE_GOOGLEDRIVER_FALSE@
ENABLE_GOOGLEDRIVER_TRUE = @ENABLE_GOOGLEDRIVER_TRUE@
ENABLE_GSF_SHARP_FALSE = @ENABLE_GSF_SHARP_FALSE@
ENABLE_GSF_SHARP_TRUE = @ENABLE_GSF_SHARP_TRUE@
ENABLE_GTK_DOC_FALSE = @ENABLE_GTK_DOC_FALSE@
ENABLE_GTK_DOC_TRUE = @ENABLE_GTK_DOC_TRUE@
ENABLE_GUI_FALSE = @ENABLE_GUI_FALSE@
ENABLE_GUI_TRUE = @ENABLE_GUI_TRUE@
ENABLE_INOTIFY_FALSE = @ENABLE_INOTIFY_FALSE@
ENABLE_INOTIFY_TRUE = @ENABLE_INOTIFY_TRUE@
ENABLE_LIBBEAGLE_FALSE = @ENABLE_LIBBEAGLE_FALSE@
ENABLE_LIBBEAGLE_TRUE = @ENABLE_LIBBEAGLE_TRUE@
ENABLE_OPEN_WITH_FALSE = @ENABLE_OPEN_WITH_FALSE@
ENABLE_OPEN_WITH_TRUE = @ENABLE_OPEN_WITH_TRUE@
ENABLE_PYTHON_FALSE = @ENABLE_PYTHON_FALSE@
ENABLE_PYTHON_TRUE = @ENABLE_PYTHON_TRUE@
ENABLE_WEBSERVICES_FALSE = @ENABLE_WEBSERVICES_FALSE@
ENABLE_WEBSERVICES_TRUE = @ENABLE_WEBSERVICES_TRUE@
ENABLE_WV1_FALSE = @ENABLE_WV1_FALSE@
ENABLE_WV1_TRUE = @ENABLE_WV1_TRUE@
EPIPHANY_DEPENDENCY_CFLAGS = @EPIPHANY_DEPENDENCY_CFLAGS@
EPIPHANY_DEPENDENCY_LIBS = @EPIPHANY_DEPENDENCY_LIBS@
EPIPHANY_EXTENSIONS_DIR = @EPIPHANY_EXTENSIONS_DIR@
EPIPHANY_PREFIX = @EPIPHANY_PREFIX@
EPIPHANY_REQUIRED = @EPIPHANY_REQUIRED@
EVO_CFLAGS = @EVO_CFLAGS@
EVO_LIBDIR = @EVO_LIBDIR@
EVO_LIBS = @EVO_LIBS@
EXEEXT = @EXEEXT@
EXIF_SOVERSION = @EXIF_SOVERSION@
F77 = @F77@
FFLAGS = @FFLAGS@
GAC_PREFIX = @GAC_PREFIX@
GALAGO_CFLAGS = @GALAGO_CFLAGS@
GALAGO_LIBS = @GALAGO_LIBS@
GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
GMOFILES = @GMOFILES@
GMSGFMT = @GMSGFMT@
GNOME_PREFIX = @GNOME_PREFIX@
GNOME_VFS_CFLAGS = @GNOME_VFS_CFLAGS@
GNOME_VFS_LIBS = @GNOME_VFS_LIBS@
GREP = @GREP@
GSF_SHARP_CFLAGS = @GSF_SHARP_CFLAGS@
GSF_SHARP_LIBS = @GSF_SHARP_LIBS@
GTK_BINARY_VERSION = @GTK_BINARY_VERSION@
GTK_DOC_USE_LIBTOOL_FALSE = @GTK_DOC_USE_LIBTOOL_FALSE@
GTK_DOC_USE_LIBTOOL_TRUE = @GTK_DOC_USE_LIBTOOL_TRUE@
HAS_LIBCHM_FALSE = @HAS_LIBCHM_FALSE@
HAS_LIBCHM_TRUE = @HAS_LIBCHM_TRUE@
HAS_LIBXSS_FALSE = @HAS_LIBXSS_FALSE@
HAS_LIBXSS_TRUE = @HAS_LIBXSS_TRUE@
HTML_DIR = @HTML_DIR@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_EPIPHANY_EXTENSION_FALSE = @INSTALL_EPIPHANY_EXTENSION_FALSE@
INSTALL_EPIPHANY_EXTENSION_TRUE = @INSTALL_EPIPHANY_EXTENSION_TRUE@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INSTOBJEXT = @INSTOBJEXT@
INTLLIBS = @INTLLIBS@
INTLTOOL_CAVES_RULE = @INTLTOOL_CAVES_RULE@
INTLTOOL_DESKTOP_RULE = @INTLTOOL_DESKTOP_RULE@
INTLTOOL_DIRECTORY_RULE = @INTLTOOL_DIRECTORY_RULE@
INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
INTLTOOL_ICONV = @INTLTOOL_ICONV@
INTLTOOL_KBD_RULE = @INTLTOOL_KBD_RULE@
INTLTOOL_KEYS_RULE = @INTLTOOL_KEYS_RULE@
INTLTOOL_MERGE = @INTLTOOL_MERGE@
INTLTOOL_MSGFMT = @INTLTOOL_MSGFMT@
INTLTOOL_MSGMERGE = @INTLTOOL_MSGMERGE@
INTLTOOL_OAF_RULE = @INTLTOOL_OAF_RULE@
INTLTOOL_PERL = @INTLTOOL_PERL@
INTLTOOL_PONG_RULE = @INTLTOOL_PONG_RULE@
INTLTOOL_PROP_RULE = @INTLTOOL_PROP_RULE@
INTLTOOL_SCHEMAS_RULE = @INTLTOOL_SCHEMAS_RULE@
INTLTOOL_SERVER_RULE = @INTLTOOL_SERVER_RULE@
INTLTOOL_SERVICE_RULE = @INTLTOOL_SERVICE_RULE@
INTLTOOL_SHEET_RULE = @INTLTOOL_SHEET_RULE@
INTLTOOL_SOUNDLIST_RULE = @INTLTOOL_SOUNDLIST_RULE@
INTLTOOL_THEME_RULE = @INTLTOOL_THEME_RULE@
INTLTOOL_UI_RULE = @INTLTOOL_UI_RULE@
INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
INTLTOOL_XAM_RULE = @INTLTOOL_XAM_RULE@
INTLTOOL_XGETTEXT = @INTLTOOL_XGETTEXT@
INTLTOOL_XML_NOMERGE_RULE = @INTLTOOL_XML_NOMERGE_RULE@
INTLTOOL_XML_RULE = @INTLTOOL_XML_RULE@
KDE_CONFIG = @KDE_CONFIG@
KDE_PREFIX = @KDE_PREFIX@
LDFLAGS = @LDFLAGS@
LIBBEAGLE_CFLAGS = @LIBBEAGLE_CFLAGS@
LIBBEAGLE_LIBS = @LIBBEAGLE_LIBS@
LIBBEAGLE_VERSION_INFO = @LIBBEAGLE_VERSION_INFO@
LIBEXIF_API_CHECK_CFLAGS = @LIBEXIF_API_CHECK_CFLAGS@
LIBEXIF_API_CHECK_LIBS = @LIBEXIF_API_CHECK_LIBS@
LIBEXIF_CFLAGS = @LIBEXIF_CFLAGS@
LIBEXIF_LIBS = @LIBEXIF_LIBS@
LIBEXIF_VERSION_CHECK_CFLAGS = @LIBEXIF_VERSION_CHECK_CFLAGS@
LIBEXIF_VERSION_CHECK_LIBS = @LIBEXIF_VERSION_CHECK_LIBS@
LIBGLIB_REQUIRED = @LIBGLIB_REQUIRED@
LIBGTK_REQUIRED = @LIBGTK_REQUIRED@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIBTRAYICON_CFLAGS = @LIBTRAYICON_CFLAGS@
LIBTRAYICON_LIBS = @LIBTRAYICON_LIBS@
LIBXML_REQUIRED = @LIBXML_REQUIRED@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAINT = @MAINT@
MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
MAKEINFO = @MAKEINFO@
MCS = @MCS@
MKINSTALLDIRS = @MKINSTALLDIRS@
MONO = @MONO@
MONO_CFLAGS = @MONO_CFLAGS@
MONO_LIBS = @MONO_LIBS@
MSGFMT = @MSGFMT@
OBJEXT = @OBJEXT@
OPEN_WITH_CFLAGS = @OPEN_WITH_CFLAGS@
OPEN_WITH_LIBS = @OPEN_WITH_LIBS@
OS_FREEBSD_FALSE = @OS_FREEBSD_FALSE@
OS_FREEBSD_TRUE = @OS_FREEBSD_TRUE@
OS_LINUX_FALSE = @OS_LINUX_FALSE@
OS_LINUX_TRUE = @OS_LINUX_TRUE@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
POFILES = @POFILES@
POSUB = @POSUB@
PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
PYBEAGLE_CFLAGS = @PYBEAGLE_CFLAGS@
PYBEAGLE_LIBS = @PYBEAGLE_LIBS@
PYGTK_CODEGEN = @PYGTK_CODEGEN@
PYGTK_DEFSDIR = @PYGTK_DEFSDIR@
PYTHON = @PYTHON@
PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
PYTHON_INCLUDES = @PYTHON_INCLUDES@
PYTHON_PLATFORM = @PYTHON_PLATFORM@
PYTHON_PREFIX = @PYTHON_PREFIX@
PYTHON_VERSION = @PYTHON_VERSION@
RANLIB = @RANLIB@
SET_MAKE = @SET_MAKE@
SHARPZIPLIB_LIBS = @SHARPZIPLIB_LIBS@
SHELL = @SHELL@
SQLITE3_CFLAGS = @SQLITE3_CFLAGS@
SQLITE3_LIBS = @SQLITE3_LIBS@
SQLITE_CFLAGS = @SQLITE_CFLAGS@
SQLITE_LIBS = @SQLITE_LIBS@
SQLITE_MAJ_VER = @SQLITE_MAJ_VER@
STRIP = @STRIP@
SYSTEMINFO_GLUE_CFLAGS = @SYSTEMINFO_GLUE_CFLAGS@
SYSTEMINFO_GLUE_LIBS = @SYSTEMINFO_GLUE_LIBS@
SYSTEMINFO_GLUE_X_LIBS = @SYSTEMINFO_GLUE_X_LIBS@
UIGLUE_CFLAGS = @UIGLUE_CFLAGS@
UIGLUE_LIBS = @UIGLUE_LIBS@
USE_LOCAL_SQLITE_FALSE = @USE_LOCAL_SQLITE_FALSE@
USE_LOCAL_SQLITE_TRUE = @USE_LOCAL_SQLITE_TRUE@
USE_NLS = @USE_NLS@
VERSION = @VERSION@
WSDL = @WSDL@
WV1_CFLAGS = @WV1_CFLAGS@
WV1_LIBS = @WV1_LIBS@
XGETTEXT = @XGETTEXT@
XMKMF = @XMKMF@
X_CFLAGS = @X_CFLAGS@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_LIBS = @X_LIBS@
X_PRE_LIBS = @X_PRE_LIBS@
ZIP = @ZIP@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_F77 = @ac_ct_F77@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
pkgpyexecdir = @pkgpyexecdir@
pkgpythondir = @pkgpythondir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
pyexecdir = @pyexecdir@
pythondir = @pythondir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@

# unsafe arg for Mono.Data.SqliteClient fork
CSC = mcs -debug -nowarn:0162,0164,0169,0219,0436 -unsafe
BACKENDDIR = $(pkglibdir)/Backends
PLUGIN_TARGET = BeagleDaemonPlugins.dll
PLUGIN_CSFLAGS = -target:library
PLUGIN_CSFILES = \
	$(srcdir)/Flavor.cs		\
	$(srcdir)/Filter.cs

PLUGIN_LOCAL_ASSEMBLIES = \
	../Util/Util.dll		\
	../BeagleClient/Beagle.dll

PLUGIN_ASSEMBLIES = \
	-r:Mono.Posix				\
	$(BEAGLED_LIBS)                 	\
	$(PLUGIN_LOCAL_ASSEMBLIES:%=-r:%)


############################################################
WRAPPER_IN = wrapper.in
WRAPPER_SED = sed 					\
	-e "s|\@prefix\@|$(prefix)|g"			\
	-e "s|\@pkglibdir\@|$(pkglibdir)|g"		\
	-e "s|\@libdir\@|$(libdir)|g"			\
	-e "s|\@evolibdir\@|$(EVO_LIBDIR)|g"		\
	-e "s|\@gacprefix\@|$(GAC_PREFIX)|g"		\
	-e "s|\@bash\@|$(BASH)|"			\
	-e "s|\@wrapper\@|$@|g"


############################################################
lucenedir = $(srcdir)/Lucene.Net
LUCENE_1_9_CSFILES = \
	$(lucenedir)/AssemblyInfo.cs					\
	$(lucenedir)/LucenePackage.cs					\
	$(lucenedir)/SupportClass.cs					\
	$(lucenedir)/Store/BufferedIndexInput.cs			\
	$(lucenedir)/Store/BufferedIndexOutput.cs			\
	$(lucenedir)/Store/Directory.cs					\
	$(lucenedir)/Store/FSDirectory.cs				\
	$(lucenedir)/Store/IndexInput.cs				\
	$(lucenedir)/Store/IndexOutput.cs				\
	$(lucenedir)/Store/InputStream.cs				\
	$(lucenedir)/Store/Lock.cs					\
	$(lucenedir)/Store/MMapDirectory.cs				\
	$(lucenedir)/Store/OutputStream.cs				\
	$(lucenedir)/Store/RAMDirectory.cs				\
	$(lucenedir)/Store/RAMFile.cs					\
	$(lucenedir)/Store/RAMInputStream.cs				\
	$(lucenedir)/Store/RAMOutputStream.cs				\
	$(lucenedir)/Util/BitVector.cs					\
	$(lucenedir)/Util/Constants.cs					\
	$(lucenedir)/Util/Parameter.cs					\
	$(lucenedir)/Util/PriorityQueue.cs				\
	$(lucenedir)/Util/StringHelper.cs				\
	$(lucenedir)/Index/CompoundFileReader.cs			\
	$(lucenedir)/Index/CompoundFileWriter.cs			\
	$(lucenedir)/Index/DocumentWriter.cs				\
	$(lucenedir)/Index/FieldInfo.cs					\
	$(lucenedir)/Index/FieldInfos.cs				\
	$(lucenedir)/Index/FieldsReader.cs				\
	$(lucenedir)/Index/FieldsWriter.cs				\
	$(lucenedir)/Index/FilterIndexReader.cs				\
	$(lucenedir)/Index/IndexReader.cs				\
	$(lucenedir)/Index/IndexWriter.cs				\
	$(lucenedir)/Index/MultipleTermPositions.cs			\
	$(lucenedir)/Index/MultiReader.cs				\
	$(lucenedir)/Index/SegmentInfo.cs				\
	$(lucenedir)/Index/SegmentInfos.cs				\
	$(lucenedir)/Index/SegmentMergeInfo.cs				\
	$(lucenedir)/Index/SegmentMergeQueue.cs				\
	$(lucenedir)/Index/SegmentMerger.cs				\
	$(lucenedir)/Index/SegmentReader.cs				\
	$(lucenedir)/Index/SegmentTermDocs.cs				\
	$(lucenedir)/Index/SegmentTermEnum.cs				\
	$(lucenedir)/Index/SegmentTermPositions.cs			\
	$(lucenedir)/Index/SegmentTermPositionVector.cs			\
	$(lucenedir)/Index/SegmentTermVector.cs				\
	$(lucenedir)/Index/Term.cs					\
	$(lucenedir)/Index/TermBuffer.cs				\
	$(lucenedir)/Index/TermDocs.cs					\
	$(lucenedir)/Index/TermEnum.cs					\
	$(lucenedir)/Index/TermFreqVector.cs				\
	$(lucenedir)/Index/TermInfo.cs					\
	$(lucenedir)/Index/TermInfosReader.cs				\
	$(lucenedir)/Index/TermInfosWriter.cs				\
	$(lucenedir)/Index/TermPositions.cs				\
	$(lucenedir)/Index/TermPositionVector.cs			\
	$(lucenedir)/Index/TermVectorOffsetInfo.cs			\
	$(lucenedir)/Index/TermVectorsReader.cs				\
	$(lucenedir)/Index/TermVectorsWriter.cs				\
	$(lucenedir)/Document/DateField.cs				\
	$(lucenedir)/Document/DateTools.cs				\
	$(lucenedir)/Document/Document.cs				\
	$(lucenedir)/Document/Field.cs					\
	$(lucenedir)/Document/NumberTools.cs				\
	$(lucenedir)/Analysis/DE/WordlistLoader.cs			\
	$(lucenedir)/Analysis/Standard/CharStream.cs			\
	$(lucenedir)/Analysis/Standard/FastCharStream.cs		\
	$(lucenedir)/Analysis/Standard/ParseException.cs		\
	$(lucenedir)/Analysis/Standard/StandardAnalyzer.cs		\
	$(lucenedir)/Analysis/Standard/StandardFilter.cs		\
	$(lucenedir)/Analysis/Standard/StandardTokenizer.cs		\
	$(lucenedir)/Analysis/Standard/StandardTokenizerConstants.cs	\
	$(lucenedir)/Analysis/Standard/StandardTokenizerTokenManager.cs	\
	$(lucenedir)/Analysis/Standard/Token.cs				\
	$(lucenedir)/Analysis/Standard/TokenMgrError.cs			\
	$(lucenedir)/Analysis/Analyzer.cs				\
	$(lucenedir)/Analysis/CharTokenizer.cs				\
	$(lucenedir)/Analysis/LetterTokenizer.cs			\
	$(lucenedir)/Analysis/LowerCaseFilter.cs			\
	$(lucenedir)/Analysis/LowerCaseTokenizer.cs			\
	$(lucenedir)/Analysis/PerFieldAnalyzerWrapper.cs		\
	$(lucenedir)/Analysis/PorterStemFilter.cs			\
	$(lucenedir)/Analysis/PorterStemmer.cs				\
	$(lucenedir)/Analysis/SimpleAnalyzer.cs				\
	$(lucenedir)/Analysis/StopAnalyzer.cs				\
	$(lucenedir)/Analysis/StopFilter.cs				\
	$(lucenedir)/Analysis/Token.cs					\
	$(lucenedir)/Analysis/TokenFilter.cs				\
	$(lucenedir)/Analysis/Tokenizer.cs				\
	$(lucenedir)/Analysis/TokenStream.cs				\
	$(lucenedir)/Analysis/WhitespaceAnalyzer.cs			\
	$(lucenedir)/Analysis/WhitespaceTokenizer.cs			\
	$(lucenedir)/Search/Spans/NearSpans.cs				\
	$(lucenedir)/Search/Spans/SpanFirstQuery.cs			\
	$(lucenedir)/Search/Spans/SpanNearQuery.cs			\
	$(lucenedir)/Search/Spans/SpanNotQuery.cs			\
	$(lucenedir)/Search/Spans/SpanOrQuery.cs			\
	$(lucenedir)/Search/Spans/SpanQuery.cs				\
	$(lucenedir)/Search/Spans/Spans.cs				\
	$(lucenedir)/Search/Spans/SpanScorer.cs				\
	$(lucenedir)/Search/Spans/SpanTermQuery.cs			\
	$(lucenedir)/Search/Spans/SpanWeight.cs				\
	$(lucenedir)/Search/BooleanClause.cs				\
	$(lucenedir)/Search/BooleanQuery.cs				\
	$(lucenedir)/Search/BooleanScorer.cs				\
	$(lucenedir)/Search/BooleanScorer2.cs				\
	$(lucenedir)/Search/CachingWrapperFilter.cs			\
	$(lucenedir)/Search/ConjunctionScorer.cs			\
	$(lucenedir)/Search/DateFilter.cs				\
	$(lucenedir)/Search/DefaultSimilarity.cs			\
	$(lucenedir)/Search/DisjunctionSumScorer.cs			\
	$(lucenedir)/Search/ExactPhraseScorer.cs			\
	$(lucenedir)/Search/Explanation.cs				\
	$(lucenedir)/Search/FieldCache.cs				\
	$(lucenedir)/Search/FieldCacheImpl.cs				\
	$(lucenedir)/Search/FieldDoc.cs					\
	$(lucenedir)/Search/FieldDocSortedHitQueue.cs			\
	$(lucenedir)/Search/FieldSortedHitQueue.cs			\
	$(lucenedir)/Search/Filter.cs					\
	$(lucenedir)/Search/FilteredQuery.cs				\
	$(lucenedir)/Search/FilteredTermEnum.cs				\
	$(lucenedir)/Search/FuzzyQuery.cs				\
	$(lucenedir)/Search/FuzzyTermEnum.cs				\
	$(lucenedir)/Search/HitCollector.cs				\
	$(lucenedir)/Search/HitQueue.cs					\
	$(lucenedir)/Search/Hits.cs					\
	$(lucenedir)/Search/IndexSearcher.cs				\
	$(lucenedir)/Search/MultiPhraseQuery.cs				\
	$(lucenedir)/Search/MultiSearcher.cs				\
	$(lucenedir)/Search/MultiTermQuery.cs				\
	$(lucenedir)/Search/NonMatchingScorer.cs			\
	$(lucenedir)/Search/ParallelMultiSearcher.cs			\
	$(lucenedir)/Search/PhrasePositions.cs				\
	$(lucenedir)/Search/PhrasePrefixQuery.cs			\
	$(lucenedir)/Search/PhraseQuery.cs				\
	$(lucenedir)/Search/PhraseQueue.cs				\
	$(lucenedir)/Search/PhraseScorer.cs				\
	$(lucenedir)/Search/PrefixQuery.cs				\
	$(lucenedir)/Search/Query.cs					\
	$(lucenedir)/Search/QueryFilter.cs				\
	$(lucenedir)/Search/QueryTermVector.cs				\
	$(lucenedir)/Search/RangeFilter.cs				\
	$(lucenedir)/Search/RangeQuery.cs				\
	$(lucenedir)/Search/RemoteSearchable.cs				\
	$(lucenedir)/Search/ReqExclScorer.cs				\
	$(lucenedir)/Search/ReqOptSumScorer.cs				\
	$(lucenedir)/Search/ScoreDoc.cs					\
	$(lucenedir)/Search/ScoreDocComparator.cs			\
	$(lucenedir)/Search/Scorer.cs					\
	$(lucenedir)/Search/Searchable.cs				\
	$(lucenedir)/Search/Searcher.cs					\
	$(lucenedir)/Search/Similarity.cs				\
	$(lucenedir)/Search/SimilarityDelegator.cs			\
	$(lucenedir)/Search/SloppyPhraseScorer.cs			\
	$(lucenedir)/Search/Sort.cs					\
	$(lucenedir)/Search/SortComparator.cs				\
	$(lucenedir)/Search/SortComparatorSource.cs			\
	$(lucenedir)/Search/SortField.cs				\
	$(lucenedir)/Search/TermQuery.cs				\
	$(lucenedir)/Search/TermScorer.cs				\
	$(lucenedir)/Search/TopDocs.cs					\
	$(lucenedir)/Search/TopFieldDocs.cs				\
	$(lucenedir)/Search/Weight.cs					\
	$(lucenedir)/Search/WildcardQuery.cs				\
	$(lucenedir)/Search/WildcardTermEnum.cs				\
	$(lucenedir)/QueryParser/Precedence/CharStream.cs		\
	$(lucenedir)/QueryParser/Precedence/ParseException.cs		\
	$(lucenedir)/QueryParser/Precedence/FastCharStream.cs		\
	$(lucenedir)/QueryParser/Precedence/PrecedenceQueryParserConstants.cs\
	$(lucenedir)/QueryParser/Precedence/Token.cs			\
	$(lucenedir)/QueryParser/Precedence/PrecedenceQueryParserTokenManager.cs\
	$(lucenedir)/QueryParser/Precedence/PrecedenceQueryParser.cs	\
	$(lucenedir)/QueryParser/Precedence/TokenMgrError.cs		\
	$(lucenedir)/QueryParser/CharStream.cs				\
	$(lucenedir)/QueryParser/FastCharStream.cs			\
	$(lucenedir)/QueryParser/MultiFieldQueryParser.cs		\
	$(lucenedir)/QueryParser/ParseException.cs			\
	$(lucenedir)/QueryParser/QueryParser.cs				\
	$(lucenedir)/QueryParser/QueryParserConstants.cs		\
	$(lucenedir)/QueryParser/QueryParserTokenManager.cs		\
	$(lucenedir)/QueryParser/Token.cs				\
	$(lucenedir)/QueryParser/TokenMgrError.cs

LUCENE_CSFILES = $(LUCENE_1_9_CSFILES)

############################################################
sqlitedir = $(srcdir)/Mono.Data.SqliteClient
SQLITE_CSFILES = \
	$(sqlitedir)/SqliteCommand.cs			\
	$(sqlitedir)/SqliteConnection.cs		\
	$(sqlitedir)/Sqlite.cs				\
	$(sqlitedir)/SqliteDataAdapter.cs		\
	$(sqlitedir)/SqliteDataReader.cs		\
	$(sqlitedir)/SqliteExceptions.cs		\
	$(sqlitedir)/SqliteParameterCollection.cs	\
	$(sqlitedir)/SqliteParameter.cs			\
	$(sqlitedir)/SqliteRowUpdatedEventArgs.cs	\
	$(sqlitedir)/SqliteRowUpdatedEventHandler.cs	\
	$(sqlitedir)/SqliteRowUpdatingEventArgs.cs	\
	$(sqlitedir)/SqliteRowUpdatingEventHandler.cs	\
	$(sqlitedir)/SqliteTransaction.cs


############################################################
DAEMON_DLL_TARGET = BeagleDaemonLib.dll
DAEMON_DLL_CSFLAGS = -target:library $(BEAGLE_DEFINES)
fsqueryabledir = $(srcdir)/FileSystemQueryable
FILE_SYSTEM_QUERYABLE_CSFILES = \
	$(fsqueryabledir)/DirectoryModel.cs			\
	$(fsqueryabledir)/DirectoryState.cs			\
	$(fsqueryabledir)/TreeCrawlTask.cs			\
	$(fsqueryabledir)/FileCrawlTask.cs			\
	$(fsqueryabledir)/DirectoryIndexableGenerator.cs	\
	$(fsqueryabledir)/FileNameFilter.cs			\
	$(fsqueryabledir)/LuceneNameResolver.cs			\
	$(fsqueryabledir)/FileSystemQueryable.cs		\
	$(fsqueryabledir)/IFileEventBackend.cs			\
	$(fsqueryabledir)/InotifyBackend.cs			\
	$(fsqueryabledir)/NullFileEventBackend.cs

gaimlogqueryable = $(srcdir)/GaimLogQueryable
GAIM_LOG_QUERYABLE_CSFILES = \
	$(gaimlogqueryable)/GaimLogQueryable.cs

tomboyqueryable = $(srcdir)/TomboyQueryable
TOMBOY_QUERYABLE_CSFILES = \
	$(tomboyqueryable)/TomboyQueryable.cs

kmailqueryable = $(srcdir)/KMailQueryable
KMAIL_QUERYABLE_CSFILES = \
	$(kmailqueryable)/KMailQueryable.cs		\
	$(kmailqueryable)/KMailIndexableGenerator.cs	\
	$(kmailqueryable)/KMailIndexer.cs

blamqueryable = $(srcdir)/BlamQueryable
BLAM_QUERYABLE_CSFILES = \
	$(blamqueryable)/BlamQueryable.cs

lifereaqueryable = $(srcdir)/LifereaQueryable
LIFEREA_QUERYABLE_CSFILES = \
	$(lifereaqueryable)/LifereaQueryable.cs

akregatorqueryable = $(srcdir)/AkregatorQueryable
AKREGATOR_QUERYABLE_CSFILES = \
	$(akregatorqueryable)/AkregatorQueryable.cs

konqhistoryqueryable = $(srcdir)/KonqHistoryQueryable
KONQHISTORY_QUERYABLE_CSFILES = \
	$(konqhistoryqueryable)/KonqQueryable.cs

kopetequeryable = $(srcdir)/KopeteQueryable
KOPETE_QUERYABLE_CSFILES = \
	$(kopetequeryable)/KopeteQueryable.cs 	 	\
	$(kopetequeryable)/KopeteCrawler.cs

indexingservicequeryable = $(srcdir)/IndexingServiceQueryable
INDEXING_SERVICE_QUERYABLE_CSFILES = \
	$(indexingservicequeryable)/IndexingServiceQueryable.cs

httplistener = $(srcdir)/webserver
HTTPLISTENER_CSFILES = \
	$(httplistener)/AuthenticationSchemes.cs		\
	$(httplistener)/AuthenticationSchemeSelector.cs	\
	$(httplistener)/ChunkedInputStream.cs			\
	$(httplistener)/ChunkStream.cs				\
	$(httplistener)/EndPointListener.cs			\
	$(httplistener)/EndPointManager.cs			\
	$(httplistener)/HttpConnection.cs			\
	$(httplistener)/HttpListenerBasicIdentity.cs		\
	$(httplistener)/HttpListenerContext.cs			\
	$(httplistener)/HttpListener.cs				\
	$(httplistener)/HttpListenerException.cs		\
	$(httplistener)/HttpListenerPrefixCollection.cs		\
	$(httplistener)/HttpListenerRequest.cs			\
	$(httplistener)/HttpListenerResponse.cs			\
	$(httplistener)/HttpStreamAsyncResult.cs		\
	$(httplistener)/ListenerAsyncResult.cs			\
	$(httplistener)/ListenerPrefix.cs			\
	$(httplistener)/RequestStream.cs			\
	$(httplistener)/ResponseStream.cs			\
	$(httplistener)/WebHeaderCollection.cs		

DAEMON_DLL_CSFILES = $(LUCENE_CSFILES) $(KMAIL_QUERYABLE_CSFILES) \
	$(FILE_SYSTEM_QUERYABLE_CSFILES) $(GAIM_LOG_QUERYABLE_CSFILES) \
	$(INDEXING_SERVICE_QUERYABLE_CSFILES) \
	$(TOMBOY_QUERYABLE_CSFILES) $(BLAM_QUERYABLE_CSFILES) \
	$(LIFEREA_QUERYABLE_CSFILES) $(AKREGATOR_QUERYABLE_CSFILES) \
	$(KONQHISTORY_QUERYABLE_CSFILES) $(KOPETE_QUERYABLE_CSFILES) \
	$(HTTPLISTENER_CSFILES) $(srcdir)/FileAttributes.cs \
	$(srcdir)/FileAttributesStore.cs \
	$(srcdir)/FileAttributesStore_ExtendedAttribute.cs \
	$(srcdir)/FileAttributesStore_Mixed.cs \
	$(srcdir)/FileAttributesStore_Sqlite.cs \
	$(srcdir)/FilterFactory.cs $(srcdir)/IFileAttributesStore.cs \
	$(srcdir)/IIndexer.cs $(srcdir)/IndexSynchronization.cs \
	$(srcdir)/IndexerReceipts.cs $(srcdir)/IndexerRequest.cs \
	$(srcdir)/IQueryResult.cs $(srcdir)/IQueryWorker.cs \
	$(srcdir)/IQueryable.cs $(srcdir)/LuceneBitArray.cs \
	$(srcdir)/LuceneCommon.cs $(srcdir)/LuceneIndexingDriver.cs \
	$(srcdir)/LuceneQueryingDriver.cs \
	$(srcdir)/LuceneFileQueryable.cs $(srcdir)/LuceneQueryable.cs \
	$(srcdir)/NoiseFilter.cs $(srcdir)/PropertyKeywordFu.cs \
	$(srcdir)/QueryDriver.cs $(srcdir)/QueryExecutor.cs \
	$(srcdir)/QueryResult.cs $(srcdir)/QueryStringParser.cs \
	$(srcdir)/Queryable.cs $(srcdir)/QueryableFlavor.cs \
	$(srcdir)/RemoteControlExecutors.cs \
	$(srcdir)/RemoteIndexerRequest.cs \
	$(srcdir)/RemoteIndexerResponse.cs $(srcdir)/Server.cs \
	$(srcdir)/Shutdown.cs $(srcdir)/SnippetExecutor.cs \
	$(srcdir)/SnippetFu.cs $(srcdir)/StaticQueryable.cs \
	$(srcdir)/TextCache.cs $(am__append_1) $(am__append_4) \
	$(am__append_6)
DAEMON_DLL_LOCAL_ASSEMBLIES = \
	../Util/Util.dll		\
	../BeagleClient/Beagle.dll	\
	./$(PLUGIN_TARGET)

DAEMON_DLL_ASSEMBLIES = $(BEAGLED_LIBS) \
	$(DAEMON_DLL_LOCAL_ASSEMBLIES:%=-r:%) $(SHARPZIPLIB_LIBS) \
	-r:Mono.Data.SqliteClient -r:Mono.Posix \
	-r:System.Runtime.Remoting -r:System.Web $(am__append_2) \
	$(am__append_3) $(am__append_5)

############################################################

###
### Pluggable backend support
###
BACKEND_CSFLAGS = -target:library
BACKEND_LOCAL_ASSEMBLIES = \
	../Util/Util.dll			\
	../BeagleClient/Beagle.dll		\
	./$(DAEMON_DLL_TARGET)

BACKEND_ASSEMBLIES = \
	$(SHARPZIPLIB_LIBS)			\
	$(BACKEND_LOCAL_ASSEMBLIES:%=-r:%)	\
	-r:Mono.Posix


###
### Evolution backend
###
edsqueryable = $(srcdir)/EvolutionDataServerQueryable
EDS_QUERYABLE_CSFILES = \
	$(edsqueryable)/BookContainer.cs		\
	$(edsqueryable)/CalContainer.cs			\
	$(edsqueryable)/Container.cs			\
	$(edsqueryable)/EvolutionDataServerQueryable.cs	\
	$(edsqueryable)/SourcesHandler.cs

evomailqueryable = $(srcdir)/EvolutionMailDriver
EVO_MAIL_QUERYABLE_CSFILES = \
	$(evomailqueryable)/EvolutionMailDriver.cs		\
	$(evomailqueryable)/EvolutionMailIndexableGenerator.cs	\
	$(evomailqueryable)/GConfThreadHelper.cs		\
	$(evomailqueryable)/MailCrawler.cs

EVO_DLL_TARGET = EvolutionBackends.dll
EVO_DLL_CSFLAGS = $(BACKEND_CSFLAGS)
EVO_DLL_CSFILES = $(EDS_QUERYABLE_CSFILES) $(EVO_MAIL_QUERYABLE_CSFILES)
EVO_DLL_ASSEMBLIES = $(BACKEND_ASSEMBLIES) $(EVO_LIBS)

############################################################

###
### Web Services
###
webservicesdir = $(srcdir)/WebServices
xspdir = $(srcdir)/WebServices/WebServer
WEBSERVICES_XSP_TARGET = BeagleXsp.dll
WEBSERVICES_XSP_CSFLAGS = -target:library 
WEBSERVICES_XSP_ASSEMBLIES = \
	-r:System 				\
	-r:System.Web 				\
	-r:System.Runtime.Remoting	

WEBSERVICES_XSP_CSFILES = \
	$(xspdir)/IApplicationHost.cs		\
	$(xspdir)/MonoWorkerRequest.cs		\
	$(xspdir)/Tracing.cs			\
	$(xspdir)/ApplicationServer.cs		\
	$(xspdir)/LingeringNetworkStream.cs	\
	$(xspdir)/BaseApplicationHost.cs	\
	$(xspdir)/BaseRequestBroker.cs		\
	$(xspdir)/IWebSource.cs			\
	$(xspdir)/server.cs			\
	$(xspdir)/InitialWorkerRequest.cs	\
	$(xspdir)/XSPApplicationHost.cs		\
	$(xspdir)/XSPWorkerRequest.cs		\
	$(xspdir)/AssemblyInfo.cs

WEBSERVICES_BACKEND_TARGET = BeagleWebServicesBackEnd.dll
WEBSERVICES_BACKEND_LOCAL_ASSEMBLIES = \
	../Util/Util.dll		\
	../images/Images.dll		\
	../BeagleClient/Beagle.dll      \
	../Tiles/Tiles.dll		\
	BeagleDaemonPlugins.dll 	\
	BeagleDaemonLib.dll			\
	$(WEBSERVICES_XSP_TARGET)

WEBSERVICES_BACKEND_ASSEMBLIES = \
	$(WEBSERVICES_BACKEND_LOCAL_ASSEMBLIES:%=-r:%)	\
	-r:System					\
	-r:System.Web 				\
	-r:System.Runtime.Remoting	\
	$(BEAGLED_LIBS)

WEBSERVICES_BACKEND_CSFILES = \
	$(webservicesdir)/ExternalAccessFilter.cs	\
	$(webservicesdir)/WebBackEnd.cs 	\
	$(webservicesdir)/WebServiceBackEnd.cs

WEBSERVICES_CSFLAGS = -target:library -noconfig
WEBSERVICES_FRONTEND_TARGET = BeagleWebServicesFrontEnd.dll
WEBSERVICES_FRONTEND_CSFILES = \
	$(webservicesdir)/WebFrontEnd.cs	\
	$(webservicesdir)/WebServiceFrontEnd.cs

WEBSERVICES_FRONTEND_ASSEMBLIES = \
	$(WEBSERVICES_BACKEND_ASSEMBLIES) 	\
	-r:$(WEBSERVICES_BACKEND_TARGET) 	\
	-r:System.Web.Services

WEBSERVICES_RESOURCES = \
	$(webservicesdir)/search.aspx	\
	$(webservicesdir)/search.asmx	\
	$(webservicesdir)/web.config

WEBSERVICES_RESOURCES_DIST = \
	$(webservicesdir)/search.aspx	\
	$(webservicesdir)/search.asmx	\
	$(webservicesdir)/web.config

XSP_DIR = $(pkgdatadir)/xsp
XSPBIN_DIR = $(XSP_DIR)/bin

############################################################
DAEMON_WRAPPER = beagled
DAEMON_WRAPPER_IN = beagled.in
DAEMON_TARGET = BeagleDaemon.exe
DAEMON_CSFLAGS = -target:exe $(BEAGLE_DEFINES) $(am__append_7)
DAEMON_CSFILES = \
	$(srcdir)/BeagleDaemon.cs		\
	$(srcdir)/RemoteIndexer.cs

DAEMON_LOCAL_ASSEMBLIES = ../Util/Util.dll ../BeagleClient/Beagle.dll \
	./$(PLUGIN_TARGET) ./$(DAEMON_DLL_TARGET) $(am__append_8)
DAEMON_ASSEMBLIES = $(BEAGLED_LIBS) $(SHARPZIPLIB_LIBS) \
	$(DAEMON_LOCAL_ASSEMBLIES:%=-r:%) -r:Mono.Posix \
	$(am__append_9)

############################################################
############################################################
############################################################

# This next section is a very good example of why we need real mono support in
# automake.  This is a massive wart on our development platform.
INDEX_HELPER_WRAPPER = beagled-index-helper
INDEX_HELPER_WRAPPER_IN = $(INDEX_HELPER_WRAPPER).in
INDEX_HELPER_TARGET = IndexHelper.exe
INDEX_HELPER_CSFLAGS = -target:exe $(BEAGLE_DEFINES)
indexhelperdir = $(srcdir)/IndexHelper
INDEX_HELPER_CSFILES = \
	$(indexhelperdir)/IndexHelper.cs		\
	$(indexhelperdir)/RemoteIndexerExecutor.cs

INDEX_HELPER_LOCAL_ASSEMBLIES = \
	../Util/Util.dll		\
	../BeagleClient/Beagle.dll	\
	./$(DAEMON_DLL_TARGET)

INDEX_HELPER_ASSEMBLIES = \
	$(BEAGLED_LIBS)				\
	$(SHARPZIPLIB_LIBS)			\
	$(INDEX_HELPER_LOCAL_ASSEMBLIES:%=-r:%)	\
	-r:Mono.Posix				\
	-r:System.Runtime.Remoting


############################################################
EXTRACT_CONTENT_WRAPPER = beagle-extract-content
EXTRACT_CONTENT_TARGET = ExtractContent.exe
EXTRACT_CONTENT_CSFLAGS = \
	-target:exe

EXTRACT_CONTENT_CSFILES = \
	$(srcdir)/ExtractContent.cs

EXTRACT_CONTENT_LOCAL_ASSEMBLIES = \
	../Util/Util.dll			\
	../BeagleClient/Beagle.dll		\
	./$(PLUGIN_TARGET)			\
	./$(DAEMON_DLL_TARGET)

EXTRACT_CONTENT_ASSEMBLIES = \
	$(BEAGLED_LIBS)				\
	$(SHARPZIPLIB_LIBS)			\
	$(DAEMON_LOCAL_ASSEMBLIES:%=-r:%)	\
	-r:Mono.Posix				\
	-r:System.Runtime.Remoting


############################################################
DUMP_INDEX_WRAPPER = beagle-dump-index
DUMP_INDEX_TARGET = DumpIndex.exe
DUMP_INDEX_CSFLAGS = \
	-target:exe

DUMP_INDEX_CSFILES = \
	$(srcdir)/DumpIndex.cs

DUMP_INDEX_LOCAL_ASSEMBLIES = \
	../Util/Util.dll			\
	../BeagleClient/Beagle.dll		\
	./$(PLUGIN_TARGET)			\
	./$(DAEMON_DLL_TARGET)

DUMP_INDEX_ASSEMBLIES = \
	$(BEAGLED_LIBS)				\
	$(SHARPZIPLIB_LIBS)			\
	$(DAEMON_LOCAL_ASSEMBLIES:%=-r:%)	\
	-r:Mono.Posix				\
	-r:System.Runtime.Remoting


############################################################
INDEX_WEB_CONTENT_WRAPPER = beagle-index-url
INDEX_WEB_CONTENT_TARGET = IndexWebContent.exe
INDEX_WEB_CONTENT_CSFLAGS = \
	-target:exe

INDEX_WEB_CONTENT_CSFILES = \
	$(srcdir)/IndexWebContent.cs

INDEX_WEB_CONTENT_LOCAL_ASSEMBLIES = \
	../Util/Util.dll			\
	../BeagleClient/Beagle.dll		\
	./$(PLUGIN_TARGET)			\
	./$(DAEMON_DLL_TARGET)

INDEX_WEB_CONTENT_ASSEMBLIES = \
	$(INDEX_WEB_CONTENT_LOCAL_ASSEMBLIES:%=-r:%)


############################################################
MASTER_DELETE_WRAPPER = beagle-master-delete-button
MASTER_DELETE_TARGET = MasterDelete.exe
MASTER_DELETE_CSFLAGS = \
	-target:exe

MASTER_DELETE_CSFILES = \
	$(srcdir)/MasterDelete.cs

MASTER_DELETE_LOCAL_ASSEMBLIES = \
	../Util/Util.dll			\
	../BeagleClient/Beagle.dll		\
	./$(PLUGIN_TARGET)			\
	./$(DAEMON_DLL_TARGET)

MASTER_DELETE_ASSEMBLIES = \
	$(BEAGLED_LIBS)				\
	$(SHARPZIPLIB_LIBS)			\
	$(DAEMON_LOCAL_ASSEMBLIES:%=-r:%)	\
	-r:Mono.Posix				\
	-r:System.Runtime.Remoting


############################################################
SNIPPET_TEST_WRAPPER = beagle-snippet-test
SNIPPET_TEST_TARGET = SnippetTest.exe
SNIPPET_TEST_CSFLAGS = \
	-target:exe

SNIPPET_TEST_CSFILES = \
	$(srcdir)/SnippetTest.cs

SNIPPET_TEST_LOCAL_ASSEMBLIES = \
	../Util/Util.dll			\
	../BeagleClient/Beagle.dll		\
	./$(PLUGIN_TARGET)			\
	./$(DAEMON_DLL_TARGET)

SNIPPET_TEST_ASSEMBLIES = \
	$(BEAGLED_LIBS)				\
	$(SHARPZIPLIB_LIBS)			\
	$(DAEMON_LOCAL_ASSEMBLIES:%=-r:%)	\
	-r:Mono.Posix				\
	-r:System.Runtime.Remoting


############################################################
TERM_STATS_WRAPPER = beagle-term-stats
TERM_STATS_TARGET = TermStatsTool.exe
TERM_STATS_CSFLAGS = \
	-target:exe

TERM_STATS_CSFILES = \
	$(srcdir)/TermStatsTool.cs

TERM_STATS_LOCAL_ASSEMBLIES = \
	../Util/Util.dll			\
	../BeagleClient/Beagle.dll		\
	./$(PLUGIN_TARGET)			\
	./$(DAEMON_DLL_TARGET)

TERM_STATS_ASSEMBLIES = \
	$(BEAGLED_LIBS)				\
	$(SHARPZIPLIB_LIBS)			\
	$(DAEMON_LOCAL_ASSEMBLIES:%=-r:%)	\
	-r:Mono.Posix				\
	-r:System.Runtime.Remoting


############################################################
NAME_INDEX_WRAPPER = beagle-name-index
NAME_INDEX_TARGET = NameIndexTool.exe
NAME_INDEX_CSFLAGS = \
	-target:exe

NAME_INDEX_CSFILES = \
	$(srcdir)/NameIndexTool.cs

NAME_INDEX_LOCAL_ASSEMBLIES = \
	../Util/Util.dll			\
	../BeagleClient/Beagle.dll		\
	./$(PLUGIN_TARGET)			\
	./$(DAEMON_DLL_TARGET)

NAME_INDEX_ASSEMBLIES = \
	$(BEAGLED_LIBS)				\
	$(SHARPZIPLIB_LIBS)			\
	$(DAEMON_LOCAL_ASSEMBLIES:%=-r:%)	\
	-r:Mono.Posix				\
	-r:System.Runtime.Remoting


############################################################
FS_SANITY_CHECK_WRAPPER = beagle-file-system-sanity-check
FS_SANITY_CHECK_TARGET = SanityCheckTool.exe
FS_SANITY_CHECK_CSFLAGS = \
	-target:exe

FS_SANITY_CHECK_CSFILES = \
	$(srcdir)/SanityCheckTool.cs

FS_SANITY_CHECK_LOCAL_ASSEMBLIES = \
	../Util/Util.dll			\
	../BeagleClient/Beagle.dll		\
	./$(PLUGIN_TARGET)			\
	./$(DAEMON_DLL_TARGET)

FS_SANITY_CHECK_ASSEMBLIES = \
	$(BEAGLED_LIBS)				\
	$(SHARPZIPLIB_LIBS)			\
	$(DAEMON_LOCAL_ASSEMBLIES:%=-r:%)	\
	-r:Mono.Posix				\
	-r:System.Runtime.Remoting


############################################################
BUILD_INDEX_WRAPPER = beagle-build-index
BUILD_INDEX_TARGET = BuildIndex.exe
BUILD_INDEX_CSFLAGS = \
	-target:exe

BUILD_INDEX_CSFILES = \
	$(srcdir)/BuildIndex.cs

BUILD_INDEX_LOCAL_ASSEMBLIES = \
	../Util/Util.dll			\
	../BeagleClient/Beagle.dll		\
	./$(PLUGIN_TARGET)			\
	./$(DAEMON_DLL_TARGET)

BUILD_INDEX_ASSEMBLIES = \
	$(BEAGLED_LIBS)				\
	$(DAEMON_LOCAL_ASSEMBLIES:%=-r:%)	\
	-r:Mono.Posix


############################################################
MANAGE_INDEX_WRAPPER = beagle-manage-index
MANAGE_INDEX_TARGET = ManageIndex.exe
MANAGE_INDEX_CSFLAGS = \
	-target:exe

MANAGE_INDEX_CSFILES = \
	$(srcdir)/ManageIndex.cs

MANAGE_INDEX_LOCAL_ASSEMBLIES = \
	../Util/Util.dll			\
	../BeagleClient/Beagle.dll		\
	./$(PLUGIN_TARGET)			\
	./$(DAEMON_DLL_TARGET)

MANAGE_INDEX_ASSEMBLIES = \
	$(BEAGLED_LIBS)				\
	$(DAEMON_LOCAL_ASSEMBLIES:%=-r:%)	\
	-r:Mono.Posix


############################################################
CRAWL_SYSTEM_IN = beagle-crawl-system.in
CRAWL_SYSTEM = beagle-crawl-system

# OK, now back to our regularly scheduled program.  But notice all of the
# EXTRA_DIST and CLEANFILES stuff at the bottom of the file.  Yuck.

############################################################
############################################################
############################################################

#	$(MASTER_DELETE_TARGET)

#	$(FS_SANITY_CHECK_TARGET)
ALL_TARGETS = $(PLUGIN_TARGET) $(DAEMON_DLL_TARGET) $(DAEMON_TARGET) \
	$(DAEMON_WRAPPER) $(INDEX_HELPER_TARGET) \
	$(INDEX_HELPER_WRAPPER) $(INDEX_WEB_CONTENT_TARGET) \
	$(INDEX_WEB_CONTENT_WRAPPER) $(EXTRACT_CONTENT_TARGET) \
	$(EXTRACT_CONTENT_WRAPPER) $(DUMP_INDEX_TARGET) \
	$(SNIPPET_TEST_TARGET) $(TERM_STATS_TARGET) \
	$(NAME_INDEX_TARGET) $(MANAGE_INDEX_TARGET) \
	$(MANAGE_INDEX_WRAPPER) $(BUILD_INDEX_TARGET) \
	$(BUILD_INDEX_WRAPPER) $(am__append_10) $(am__append_11)
man_MANS = \
	beagled.1			\
	beagle-build-index.8		\
	beagle-manage-index.8

BIN_WRAPPERS = \
	$(DAEMON_WRAPPER)		\
	$(EXTRACT_CONTENT_WRAPPER)	\
	$(INDEX_WEB_CONTENT_WRAPPER)

SBIN_WRAPPERS = \
	$(BUILD_INDEX_WRAPPER)		\
	$(MANAGE_INDEX_WRAPPER)


#	$(MASTER_DELETE_WRAPPER)
#	$(FS_SANITY_CHECK_WRAPPER)
noinst_SCRIPTS = \
	$(DUMP_INDEX_WRAPPER)		\
	$(SNIPPET_TEST_WRAPPER)		\
	$(TERM_STATS_WRAPPER)		\
	$(NAME_INDEX_WRAPPER)		

EXTRA_DIST = \
	$(WRAPPER_IN)   			\
	$(DAEMON_WRAPPER_IN)			\
	$(INDEX_HELPER_WRAPPER_IN)		\
	$(man_MANS)				\
	$(PLUGIN_CSFILES)			\
	$(DAEMON_DLL_CSFILES)			\
	$(DAEMON_CSFILES)			\
	$(EVO_DLL_CSFILES)			\
	$(EXTRACT_CONTENT_CSFILES)		\
	$(DUMP_INDEX_CSFILES)			\
	$(INDEX_WEB_CONTENT_CSFILES)		\
	$(SNIPPET_TEST_CSFILES)			\
	$(INDEX_HELPER_CSFILES)			\
	$(MASTER_DELETE_CSFILES)		\
	$(TERM_STATS_CSFILES)			\
	$(NAME_INDEX_CSFILES)			\
	$(FS_SANITY_CHECK_CSFILES)		\
	$(MANAGE_INDEX_CSFILES)			\
	$(BUILD_INDEX_CSFILES)			\
	$(WEBSERVICES_XSP_CSFILES)		\
	$(WEBSERVICES_BACKEND_CSFILES)		\
	$(WEBSERVICES_FRONTEND_CSFILES)		\
	$(WEBSERVICES_RESOURCES_DIST)		\
	$(webservicesdir)/WebServiceProxy.cs	\
	$(webservicesdir)/NetBeagleHandler.cs	\
	$(webservicesdir)/NetBeagleQueryable.cs

CLEANFILES = \
	$(PLUGIN_TARGET)       			\
	$(PLUGIN_TARGET).mdb   			\
	$(DAEMON_DLL_TARGET)			\
	$(DAEMON_DLL_TARGET).mdb		\
	$(DAEMON_TARGET)       			\
	$(DAEMON_TARGET).mdb   			\
	$(DAEMON_WRAPPER)      			\
	$(EVO_DLL_TARGET)			\
	$(EVO_DLL_TARGET).mdb			\
	$(INDEX_HELPER_TARGET)			\
	$(INDEX_HELPER_TARGET).mdb		\
	$(INDEX_HELPER_WRAPPER)			\
	$(EXTRACT_CONTENT_TARGET)		\
	$(EXTRACT_CONTENT_TARGET).mdb		\
	$(EXTRACT_CONTENT_WRAPPER)		\
	$(DUMP_INDEX_TARGET)			\
	$(DUMP_INDEX_TARGET).mdb		\
	$(DUMP_INDEX_WRAPPER)			\
	$(INDEX_WEB_CONTENT_TARGET)		\
	$(INDEX_WEB_CONTENT_TARGET).mdb		\
	$(INDEX_WEB_CONTENT_WRAPPER)		\
	$(MASTER_DELETE_TARGET)			\
	$(MASTER_DELETE_TARGET).mdb		\
	$(MASTER_DELETE_WRAPPER)		\
	$(SNIPPET_TEST_TARGET)			\
	$(SNIPPET_TEST_TARGET).mdb		\
	$(SNIPPET_TEST_WRAPPER)			\
	$(TERM_STATS_TARGET)			\
	$(TERM_STATS_TARGET).mdb		\
	$(TERM_STATS_WRAPPER)			\
	$(NAME_INDEX_TARGET)			\
	$(NAME_INDEX_TARGET).mdb		\
	$(NAME_INDEX_WRAPPER)			\
	$(FS_SANITY_CHECK_TARGET)		\
	$(FS_SANITY_CHECK_TARGET).mdb		\
	$(FS_SANITY_CHECK_WRAPPER)		\
	$(MANAGE_INDEX_TARGET)			\
	$(MANAGE_INDEX_TARGET).mdb		\
	$(MANAGE_INDEX_WRAPPER)			\
	$(BUILD_INDEX_TARGET)			\
	$(BUILD_INDEX_TARGET).mdb		\
	$(BUILD_INDEX_WRAPPER)			\
	$(WEBSERVICES_BACKEND_TARGET)		\
	$(WEBSERVICES_BACKEND_TARGET).mdb	\
	$(WEBSERVICES_FRONTEND_TARGET)		\
	$(WEBSERVICES_FRONTEND_TARGET).mdb	\
	$(WEBSERVICES_XSP_TARGET)		\
	$(WEBSERVICES_XSP_TARGET).mdb		

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  beagled/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  beagled/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
install-man1: $(man1_MANS) $(man_MANS)
	@$(NORMAL_INSTALL)
	test -z "$(man1dir)" || $(mkdir_p) "$(DESTDIR)$(man1dir)"
	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    1*) ;; \
	    *) ext='1' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
	  $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \
	done
uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    1*) ;; \
	    *) ext='1' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \
	  rm -f "$(DESTDIR)$(man1dir)/$$inst"; \
	done
install-man8: $(man8_MANS) $(man_MANS)
	@$(NORMAL_INSTALL)
	test -z "$(man8dir)" || $(mkdir_p) "$(DESTDIR)$(man8dir)"
	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.8*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    8*) ;; \
	    *) ext='8' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
	  $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst"; \
	done
uninstall-man8:
	@$(NORMAL_UNINSTALL)
	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.8*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    8*) ;; \
	    *) ext='8' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f '$(DESTDIR)$(man8dir)/$$inst'"; \
	  rm -f "$(DESTDIR)$(man8dir)/$$inst"; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	$(mkdir_p) $(distdir)/$(akregatorqueryable) $(distdir)/$(blamqueryable) $(distdir)/$(edsqueryable) $(distdir)/$(evomailqueryable) $(distdir)/$(fsqueryabledir) $(distdir)/$(gaimlogqueryable) $(distdir)/$(httplistener) $(distdir)/$(indexhelperdir) $(distdir)/$(indexingservicequeryable) $(distdir)/$(kmailqueryable) $(distdir)/$(konqhistoryqueryable) $(distdir)/$(kopetequeryable) $(distdir)/$(lifereaqueryable) $(distdir)/$(lucenedir) $(distdir)/$(lucenedir)/Analysis $(distdir)/$(lucenedir)/Analysis/DE $(distdir)/$(lucenedir)/Analysis/Standard $(distdir)/$(lucenedir)/Document $(distdir)/$(lucenedir)/Index $(distdir)/$(lucenedir)/QueryParser $(distdir)/$(lucenedir)/QueryParser/Precedence $(distdir)/$(lucenedir)/Search $(distdir)/$(lucenedir)/Search/Spans $(distdir)/$(lucenedir)/Store $(distdir)/$(lucenedir)/Util $(distdir)/$(sqlitedir) $(distdir)/$(srcdir) $(distdir)/$(tomboyqueryable) $(distdir)/$(webservicesdir) $(distdir)/$(xspdir)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(SCRIPTS) $(MANS)
installdirs:
	for dir in "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man8dir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am: install-data-local install-man

install-exec-am:

install-info: install-info-am

install-man: install-man1 install-man8

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am uninstall-local uninstall-man

uninstall-man: uninstall-man1 uninstall-man8

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-data-local install-exec \
	install-exec-am install-info install-info-am install-man \
	install-man1 install-man8 install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
	uninstall-info-am uninstall-local uninstall-man uninstall-man1 \
	uninstall-man8


$(PLUGIN_TARGET): $(PLUGIN_CSFILES) $(PLUGIN_LOCAL_ASSEMBLIES)
	$(CSC) -out:$@ $(PLUGIN_CSFLAGS) $(PLUGIN_CSFILES) $(PLUGIN_ASSEMBLIES)

$(DAEMON_DLL_TARGET): $(DAEMON_DLL_CSFILES) $(DAEMON_DLL_LOCAL_ASSEMBLIES)
	$(CSC) -out:$@ $(DAEMON_DLL_CSFLAGS) $(DAEMON_DLL_CSFILES) $(DAEMON_DLL_ASSEMBLIES)

$(EVO_DLL_TARGET): $(EVO_DLL_CSFILES) $(DAEMON_DLL_LOCAL_ASSEMBLIES) $(DAEMON_DLL_TARGET)
	$(CSC) -out:$@ $(EVO_DLL_CSFLAGS) $(EVO_DLL_CSFILES) -r:$(DAEMON_DLL_TARGET) $(EVO_DLL_ASSEMBLIES)

$(WEBSERVICES_XSP_TARGET): $(WEBSERVICES_XSP_CSFILES) 
	$(CSC) -out:$@ $(WEBSERVICES_XSP_CSFLAGS) $(WEBSERVICES_XSP_CSFILES) $(WEBSERVICES_XSP_ASSEMBLIES)

$(WEBSERVICES_BACKEND_TARGET): $(WEBSERVICES_BACKEND_CSFILES) $(WEBSERVICES_BACKEND_LOCAL_ASSEMBLIES)
	$(CSC) -out:$@ $(WEBSERVICES_CSFLAGS) $(WEBSERVICES_BACKEND_CSFILES) $(WEBSERVICES_BACKEND_ASSEMBLIES)

$(WEBSERVICES_FRONTEND_TARGET): $(WEBSERVICES_FRONTEND_CSFILES) $(WEBSERVICES_BACKEND_TARGET) 
	$(CSC) -out:$@ $(WEBSERVICES_CSFLAGS) $(WEBSERVICES_FRONTEND_CSFILES) $(WEBSERVICES_FRONTEND_ASSEMBLIES)

$(DAEMON_WRAPPER): $(srcdir)/$(DAEMON_WRAPPER_IN)
	$(WRAPPER_SED) -e "s|\@target\@|$(DAEMON_TARGET)|g" < $(srcdir)/$(DAEMON_WRAPPER_IN) > $@
	chmod +x $(DAEMON_WRAPPER)

$(DAEMON_TARGET): $(DAEMON_CSFILES) $(DAEMON_LOCAL_ASSEMBLIES)
	$(CSC) -out:$@ $(DAEMON_CSFLAGS) $(DAEMON_CSFILES) $(DAEMON_ASSEMBLIES)

$(INDEX_HELPER_WRAPPER): $(srcdir)/$(INDEX_HELPER_WRAPPER_IN)
	$(WRAPPER_SED) -e "s|\@target\@|$(INDEX_HELPER_TARGET)|g" < $(srcdir)/$(INDEX_HELPER_WRAPPER_IN) > $@
	chmod +x $(INDEX_HELPER_WRAPPER)

$(INDEX_HELPER_TARGET): $(INDEX_HELPER_CSFILES) $(INDEX_HELPER_LOCAL_ASSEMBLIES)
	$(CSC) -out:$@ $(INDEX_HELPER_CSFLAGS) $(INDEX_HELPER_CSFILES) $(INDEX_HELPER_ASSEMBLIES)

$(EXTRACT_CONTENT_WRAPPER): $(srcdir)/$(WRAPPER_IN)
	$(WRAPPER_SED) -e "s|\@target\@|$(EXTRACT_CONTENT_TARGET)|g" < $(srcdir)/$(WRAPPER_IN) > $@
	chmod +x $(EXTRACT_CONTENT_WRAPPER)

$(EXTRACT_CONTENT_TARGET): $(EXTRACT_CONTENT_CSFILES) $(EXTRACT_CONTENT_LOCAL_ASSEMBLIES)
	$(CSC) -out:$@ $(EXTRACT_CONTENT_CSFLAGS) $(EXTRACT_CONTENT_CSFILES) $(EXTRACT_CONTENT_ASSEMBLIES)

$(DUMP_INDEX_WRAPPER): $(srcdir)/$(WRAPPER_IN)
	$(WRAPPER_SED) -e "s|\@target\@|$(DUMP_INDEX_TARGET)|g" < $(srcdir)/$(WRAPPER_IN) > $@
	chmod +x $(DUMP_INDEX_WRAPPER)

$(DUMP_INDEX_TARGET): $(DUMP_INDEX_CSFILES) $(DUMP_INDEX_LOCAL_ASSEMBLIES)
	$(CSC) -out:$@ $(DUMP_INDEX_CSFLAGS) $(DUMP_INDEX_CSFILES) $(DUMP_INDEX_ASSEMBLIES)

$(INDEX_WEB_CONTENT_WRAPPER): $(srcdir)/$(WRAPPER_IN)
	$(WRAPPER_SED) -e "s|\@target\@|$(INDEX_WEB_CONTENT_TARGET)|g" < $(srcdir)/$(WRAPPER_IN) > $@
	chmod +x $(INDEX_WEB_CONTENT_WRAPPER)

$(INDEX_WEB_CONTENT_TARGET): $(INDEX_WEB_CONTENT_CSFILES) $(INDEX_WEB_CONTENT_LOCAL_ASSEMBLIES)
	$(CSC) -out:$@ $(INDEX_WEB_CONTENT_CSFLAGS) $(INDEX_WEB_CONTENT_CSFILES) $(INDEX_WEB_CONTENT_ASSEMBLIES)

$(MASTER_DELETE_WRAPPER): $(srcdir)/$(WRAPPER_IN)
	$(WRAPPER_SED) -e "s|\@target\@|$(MASTER_DELETE_TARGET)|g" < $(srcdir)/$(WRAPPER_IN) > $@
	chmod +x $(MASTER_DELETE_WRAPPER)

$(MASTER_DELETE_TARGET): $(MASTER_DELETE_CSFILES) $(MASTER_DELETE_LOCAL_ASSEMBLIES)
	$(CSC) -out:$@ $(MASTER_DELETE_CSFLAGS) $(MASTER_DELETE_CSFILES) $(MASTER_DELETE_ASSEMBLIES)

$(SNIPPET_TEST_WRAPPER): $(srcdir)/$(WRAPPER_IN)
	$(WRAPPER_SED) -e "s|\@target\@|$(SNIPPET_TEST_TARGET)|g" < $(srcdir)/$(WRAPPER_IN) > $@
	chmod +x $(SNIPPET_TEST_WRAPPER)

$(SNIPPET_TEST_TARGET): $(SNIPPET_TEST_CSFILES) $(SNIPPET_TEST_LOCAL_ASSEMBLIES)
	$(CSC) -out:$@ $(SNIPPET_TEST_CSFLAGS) $(SNIPPET_TEST_CSFILES) $(SNIPPET_TEST_ASSEMBLIES)

$(TERM_STATS_WRAPPER): $(srcdir)/$(WRAPPER_IN)
	$(WRAPPER_SED) -e "s|\@target\@|$(TERM_STATS_TARGET)|g" < $(srcdir)/$(WRAPPER_IN) > $@
	chmod +x $(TERM_STATS_WRAPPER)

$(TERM_STATS_TARGET): $(TERM_STATS_CSFILES) $(TERM_STATS_LOCAL_ASSEMBLIES)
	$(CSC) -out:$@ $(TERM_STATS_CSFLAGS) $(TERM_STATS_CSFILES) $(TERM_STATS_ASSEMBLIES)

$(NAME_INDEX_WRAPPER): $(srcdir)/$(WRAPPER_IN)
	$(WRAPPER_SED) -e "s|\@target\@|$(NAME_INDEX_TARGET)|g" < $(srcdir)/$(WRAPPER_IN) > $@
	chmod +x $(NAME_INDEX_WRAPPER)

$(NAME_INDEX_TARGET): $(NAME_INDEX_CSFILES) $(NAME_INDEX_LOCAL_ASSEMBLIES)
	$(CSC) -out:$@ $(NAME_INDEX_CSFLAGS) $(NAME_INDEX_CSFILES) $(NAME_INDEX_ASSEMBLIES)

$(FS_SANITY_CHECK_WRAPPER): $(srcdir)/$(WRAPPER_IN)
	$(WRAPPER_SED) -e "s|\@target\@|$(FS_SANITY_CHECK_TARGET)|g" < $(srcdir)/$(WRAPPER_IN) > $@
	chmod +x $(FS_SANITY_CHECK_WRAPPER)

$(FS_SANITY_CHECK_TARGET): $(FS_SANITY_CHECK_CSFILES) $(FS_SANITY_CHECK_LOCAL_ASSEMBLIES)
	$(CSC) -out:$@ $(FS_SANITY_CHECK_CSFLAGS) $(FS_SANITY_CHECK_CSFILES) $(FS_SANITY_CHECK_ASSEMBLIES)

$(BUILD_INDEX_WRAPPER): $(srcdir)/$(WRAPPER_IN)
	$(WRAPPER_SED) -e "s|\@target\@|$(BUILD_INDEX_TARGET)|g" < $(srcdir)/$(WRAPPER_IN) > $@
	chmod +x $(BUILD_INDEX_WRAPPER)

$(BUILD_INDEX_TARGET): $(BUILD_INDEX_CSFILES) $(BUILD_INDEX_LOCAL_ASSEMBLIES)
	$(CSC) -out:$@ $(BUILD_INDEX_CSFLAGS) $(BUILD_INDEX_CSFILES) $(BUILD_INDEX_ASSEMBLIES)

$(MANAGE_INDEX_WRAPPER): $(srcdir)/$(WRAPPER_IN)
	$(WRAPPER_SED) -e "s|\@target\@|$(MANAGE_INDEX_TARGET)|g" < $(srcdir)/$(WRAPPER_IN) > $@
	chmod +x $(MANAGE_INDEX_WRAPPER)

$(MANAGE_INDEX_TARGET): $(MANAGE_INDEX_CSFILES) $(MANAGE_INDEX_LOCAL_ASSEMBLIES)
	$(CSC) -out:$@ $(MANAGE_INDEX_CSFLAGS) $(MANAGE_INDEX_CSFILES) $(MANAGE_INDEX_ASSEMBLIES)

$(CRAWL_SYSTEM): $(srcdir)/$(CRAWL_SYSTEM_IN)
	$(WRAPPER_SEB) -e "s|\@target\@|$(CRAWL_SYSTEM)|g" < $(srcdir)/$(CRAWL_SYSTEM_IN) > $@
	chmod +x $(CRAWL_SYSTEM)

all: $(ALL_TARGETS)

install-data-local: $(ALL_TARGETS)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	$(mkinstalldirs) $(DESTDIR)$(sbindir)
	$(mkinstalldirs) $(DESTDIR)$(pkglibdir)
	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)
	$(mkinstalldirs) $(DESTDIR)$(BACKENDDIR)
@ENABLE_WEBSERVICES_TRUE@	$(mkinstalldirs) $(DESTDIR)$(XSP_DIR)
@ENABLE_WEBSERVICES_TRUE@	$(mkinstalldirs) $(DESTDIR)$(XSPBIN_DIR)
@ENABLE_EVOLUTION_TRUE@	$(INSTALL_DATA) $(EVO_DLL_TARGET) $(EVO_DLL_TARGET).mdb $(DESTDIR)$(BACKENDDIR)
	@for i in $(BIN_WRAPPERS); do						\
		sed -e "s|\#installed=1|installed=1|" < $$i > $$i.tmp;		\
		echo "$(INSTALL_SCRIPT) $$i.tmp $(DESTDIR)$(bindir)/$$i";	\
		$(INSTALL_SCRIPT) $$i.tmp $(DESTDIR)$(bindir)/$$i || exit 1;	\
		rm -f $$i.tmp;							\
	done

	@for i in $(SBIN_WRAPPERS); do						\
		sed -e "s|\#installed=1|installed=1|" < $$i > $$i.tmp;		\
		echo "$(INSTALL_SCRIPT) $$i.tmp $(DESTDIR)$(sbindir)/$$i";	\
		$(INSTALL_SCRIPT) $$i.tmp $(DESTDIR)$(sbindir)/$$i || exit 1;	\
		rm -f $$i.tmp;							\
	done

	@sed -e "s|\#installed=1|installed=1|" < $(INDEX_HELPER_WRAPPER) > $(INDEX_HELPER_WRAPPER).tmp
	$(INSTALL_SCRIPT) $(INDEX_HELPER_WRAPPER).tmp $(DESTDIR)$(pkglibdir)/$(INDEX_HELPER_WRAPPER)
	@rm -f $(INDEX_HELPER_WRAPPER).tmp

	$(INSTALL_DATA) $(PLUGIN_TARGET)                 $(DESTDIR)$(pkglibdir)
	$(INSTALL_DATA) $(PLUGIN_TARGET).mdb             $(DESTDIR)$(pkglibdir)
	$(INSTALL_DATA) $(DAEMON_DLL_TARGET)             $(DESTDIR)$(pkglibdir)
	$(INSTALL_DATA) $(DAEMON_DLL_TARGET).mdb         $(DESTDIR)$(pkglibdir)
	$(INSTALL_DATA) $(DAEMON_TARGET)                 $(DESTDIR)$(pkglibdir)
	$(INSTALL_DATA) $(DAEMON_TARGET).mdb             $(DESTDIR)$(pkglibdir)
	$(INSTALL_DATA) $(EXTRACT_CONTENT_TARGET)        $(DESTDIR)$(pkglibdir)
	$(INSTALL_DATA) $(EXTRACT_CONTENT_TARGET).mdb    $(DESTDIR)$(pkglibdir)
	$(INSTALL_DATA) $(INDEX_WEB_CONTENT_TARGET)      $(DESTDIR)$(pkglibdir)
	$(INSTALL_DATA) $(INDEX_WEB_CONTENT_TARGET).mdb  $(DESTDIR)$(pkglibdir)
	$(INSTALL_DATA) $(INDEX_HELPER_TARGET)           $(DESTDIR)$(pkglibdir)
	$(INSTALL_DATA) $(INDEX_HELPER_TARGET).mdb       $(DESTDIR)$(pkglibdir)
	$(INSTALL_DATA) $(BUILD_INDEX_TARGET)            $(DESTDIR)$(pkglibdir)
	$(INSTALL_DATA) $(BUILD_INDEX_TARGET).mdb        $(DESTDIR)$(pkglibdir)
	$(INSTALL_DATA) $(MANAGE_INDEX_TARGET)           $(DESTDIR)$(pkglibdir)
	$(INSTALL_DATA) $(MANAGE_INDEX_TARGET).mdb       $(DESTDIR)$(pkglibdir)
@ENABLE_WEBSERVICES_TRUE@	$(INSTALL_DATA) $(WEBSERVICES_XSP_TARGET) $(DESTDIR)$(pkglibdir)
@ENABLE_WEBSERVICES_TRUE@	$(INSTALL_DATA) $(WEBSERVICES_BACKEND_TARGET) $(DESTDIR)$(pkglibdir)
@ENABLE_WEBSERVICES_TRUE@	$(INSTALL_DATA) $(WEBSERVICES_FRONTEND_TARGET) $(DESTDIR)$(XSPBIN_DIR)
@ENABLE_WEBSERVICES_TRUE@	$(INSTALL_DATA) $(WEBSERVICES_BACKEND_TARGET) $(DESTDIR)$(XSPBIN_DIR)
@ENABLE_WEBSERVICES_TRUE@	$(INSTALL_DATA)  $(WEBSERVICES_RESOURCES) $(DESTDIR)$(XSP_DIR)
#	$(INSTALL_DATA) ../Util/Util.dll ../images/Images.dll ../BeagleClient/Beagle.dll ../Tiles/Tiles.dll BeagleDaemonPlugins.dll BeagleDaemonLib.dll $(DESTDIR)$(XSPBIN_DIR)

uninstall-local:
@ENABLE_WEBSERVICES_TRUE@	rm -f $(DESTDIR)$(pkglibdir)/$(WEBSERVICES_BACKEND_TARGET)
@ENABLE_WEBSERVICES_TRUE@	rm -f $(DESTDIR)$(pkglibdir)/$(WEBSERVICES_XSP_TARGET)
@ENABLE_WEBSERVICES_TRUE@	rm -rf $(DESTDIR)$(XSP_DIR)
@ENABLE_EVOLUTION_TRUE@	rm -f $(DESTDIR)$(BACKENDDIR)/$(EVO_DLL_TARGET)
@ENABLE_EVOLUTION_TRUE@	rm -f $(DESTDIR)$(BACKENDDIR)/$(EVO_DLL_TARGET).mdb

	@for i in $(BIN_WRAPPERS); do				\
		echo "rm -f $(DESTDIR)$(bindir)/$$i";		\
		rm -f $(DESTDIR)$(bindir)/$$i || exit 1;	\
	done

	@for i in $(SBIN_WRAPPERS); do				\
		echo "rm -f $(DESTDIR)$(sbindir)/$$i";		\
		rm -f $(DESTDIR)$(sbindir)/$$i || exit 1;	\
	done

	rm -f $(DESTDIR)$(pkglibdir)/$(PLUGIN_TARGET)
	rm -f $(DESTDIR)$(pkglibdir)/$(PLUGIN_TARGET).mdb
	rm -f $(DESTDIR)$(pkglibdir)/$(DAEMON_DLL_TARGET)
	rm -f $(DESTDIR)$(pkglibdir)/$(DAEMON_DLL_TARGET).mdb
	rm -f $(DESTDIR)$(pkglibdir)/$(DAEMON_TARGET)
	rm -f $(DESTDIR)$(pkglibdir)/$(DAEMON_TARGET).mdb
	rm -f $(DESTDIR)$(pkglibdir)/$(INDEX_HELPER_TARGET)
	rm -f $(DESTDIR)$(pkglibdir)/$(INDEX_HELPER_TARGET).mdb
	rm -f $(DESTDIR)$(pkglibdir)/$(INDEX_HELPER_WRAPPER)
	rm -f $(DESTDIR)$(pkglibdir)/$(INDEX_HELPER_WRAPPER).mdb
	rm -f $(DESTDIR)$(pkglibdir)/$(EXTRACT_CONTENT_TARGET)
	rm -f $(DESTDIR)$(pkglibdir)/$(EXTRACT_CONTENT_TARGET).mdb
	rm -f $(DESTDIR)$(pkglibdir)/$(INDEX_WEB_CONTENT_TARGET)
	rm -f $(DESTDIR)$(pkglibdir)/$(INDEX_WEB_CONTENT_TARGET).mdb
	rm -f $(DESTDIR)$(pkglibdir)/$(BUILD_INDEX_TARGET)
	rm -f $(DESTDIR)$(pkglibdir)/$(BUILD_INDEX_TARGET).mdb
	rm -f $(DESTDIR)$(pkglibdir)/$(MANAGE_INDEX_TARGET)
	rm -f $(DESTDIR)$(pkglibdir)/$(MANAGE_INDEX_TARGET).mdb
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
